Множественные уязвимости в ядре Linux

Дата публикации:
07.12.2009
Всего просмотров:
1828
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2009-4004
CVE-2009-4026
CVE-2009-4027
Вектор эксплуатации:
Удаленная
Воздействие:
Отказ в обслуживании
Повышение привилегий
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Linux Kernel 2.6.x
Уязвимые версии: Linux kernel версии до 2.6.32

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю вызвать отказ в обслуживании и повысить свои привилегии на системе.

1. Уязвимость существует из-за ошибки в функции kvm_vcpu_ioctl_x86_setup_mce() в файле arch/x86/kvm/x86.c. Локальный пользователь может с помощью специально сформированного KVM_X86_SETUP_MCE IOCTL запроса вызвать повреждение памяти и выполнить произвольный код на системе с повышенными привилегиями.

2. Уязвимость существует из-за ошибки в функции ieee80211_sta_stop_rx_ba_session() в файле net/mac80211/agg-rx.c. Удаленный пользователь может вызвать отказ в обслуживании системы.

3. Уязвимость существует из-за ошибки состояния операции в подсистеме mac80211 при обработке delBA фреймов. Злоумышленник может вызвать панику ядра системы. Уязвимость распространяется только на HT драйвера.

URL производителя: www.kernel.org

Решение: Установите последнюю версию 2.6.32 с сайта производителя.

Ссылки: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=a9e38c3e01ad242fe2a625354cf065c34b01e3aa
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=4253119acf412fd686ef4bd8749b5a4d70ea3a51
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=827d42c9ac91ddd728e4f4a31fefb906ef2ceff7

или введите имя

CAPTCHA